Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.auth.srp

# Class Srp512AuthenticationPluginSpi

java.lang.Object
org.firebirdsql.gds.ng.wire.auth.srp.AbstractSrpAuthenticationPluginSpi
org.firebirdsql.gds.ng.wire.auth.srp.Srp512AuthenticationPluginSpi

All Implemented Interfaces:
  `AuthenticationPluginSpi`

public class Srp512AuthenticationPluginSpi extends AbstractSrpAuthenticationPluginSpi
Srp512 authentication plugin service provider.

Since:
  4.0
Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SRP_512_AUTH_NAME`

## Constructor Summary

Constructors
Constructor
Description
`Srp512AuthenticationPluginSpi()`

## Method Summary

### Methods inherited from class org.firebirdsql.gds.ng.wire.auth.srp.AbstractSrpAuthenticationPluginSpi

`createPlugin, getPluginName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SRP_512_AUTH_NAME

public static final String SRP_512_AUTH_NAME

See Also:
  - Constant Field Values

## Constructor Details

### Srp512AuthenticationPluginSpi

public Srp512AuthenticationPluginSpi() throws SQLException

Throws:
  `SQLException`